class ApiConfig {
  static const dev = "https://gateway.devclx.cn";
  static const test = "https://gateway.testclx.cn";
  static const pre = "https://gateway.preclx.cn";
  static const prod = "https://gateway.91msl.com";
  static const bannerProd = "https://clx-prod.oss-cn-beijing.aliyuncs.com/";

  static Env? env;

  static String get apiHost {
    switch (env) {
      case Env.dev: //开发环境
        return dev;
      case Env.test: //测试环境
        return test;
      case Env.pre: //预发布环境
        return pre;
      case Env.prod: //生产环境
        return prod;
      default: //默认是生产环境
        return prod;
    }
  }

  static String get apiH5Host {
    switch (env) {
      case Env.dev: //开发环境
        return "https://dh5.clxkj.cn/";
      case Env.test: //测试环境
        return "https://h5.clxkj.cn/";
      case Env.pre: //预发布环境
        return "https://ph5.clxkj.cn/";
      case Env.prod: //生产环境
        return "https://h5.91msl.com/";
      default: //默认是生产环境
        return "https://h5.91msl.com/";
    }
  }

  //支付 apihost
  static String get payApiHost {
    switch (env) {
      case Env.dev: //开发环境
        return PayApiHost.dev;
      case Env.test: //测试环境
        return PayApiHost.test;
      case Env.pre: //预发布环境
        return PayApiHost.pre;
      case Env.prod: //生产环境
        return PayApiHost.prod;
      default: //默认是生产环境
        return PayApiHost.prod;
    }
  }
}

abstract class PayApiHost {
  static const dev = "https://dapi.clxkj.cn:8088";
  static const test = "https://api.clxkj.cn:8088";
  static const pre = "https://papi.clxkj.cn:8088";
  static const prod = "https://api1.91msl.com:8088";
}

enum Env {
  prod,
  pre,
  test,
  dev,
}
