import 'package:clx_flutter_net/clx_flutter_net.dart';
import 'api_config.dart';

class DioUtils extends BaseDio {
  static final DioUtils _singleton = DioUtils._internal();

  static DioUtils get instance => _singleton;

  DioUtils._internal();

  @override
  Interceptor getHeadersInterceptor() {
    return HeaderInterceptor();
  }

  @override
  void onLoginExpire() {
    // token 失效
  }

  @override
  String setBaseUrl() {
    return ApiConfig.apiHost;
  }

  @override
  bool isProdEnv() => ApiConfig.apiHost == ApiConfig.prod; // 生产环境不设置代理
}

class HeaderInterceptor extends Interceptor {
  @override
  onRequest(RequestOptions options, handler) async {
    options.headers['token'] = 'token';
    options.headers['platform'] = "1";
    options.headers["product-code"] = "clx_flutter_net";

    return super.onRequest(options, handler);
  }
}
